Retrieve Journals for Financial Consolidation and Close

Returns the list of journals for the given scenario, year, period, journal status and other specified filters.

Paging is supported if the optional offset and limit parameters are provided.

This API works only for Financial Consolidation and Close.

REST Resource

GET       /HyperionPlanning/rest/{api_version}/applications/{application}/journals?q={"scenario":"Actual","year":"FY16","period":"Jan","consolidation":"FCCS_Entity Input","status": "WORKING","group":"group1" ,"label":"J1" ,"description":"JournalDesc","entity":"FCCS_Total Geography"}&offset=0&limit=5

Required Roles

Service Administrator

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request.

Table 6-26 Parameters

Name Description Type Required Default
api_version Version of the API you are developing with Path Yes None
application The name of the application Path Yes None
q Filters for retrieving the journals, for example:
{"scenario":"Actual","year":"FY16","period":"Jan","consolidation":"FCCS_Entity Input","status": "WORKING","group":"group1" ,"label":"J1" ,"description":"JournalDesc","entity":"FCCS_Total Geography"}

Possible values are described in the following rows.

Query Yes 5 journals are returned.
scenario Scenario member name or alias. Query Yes None
year Year member name or alias. Query Yes None
period Period member name or alias Query Yes None
consolidation Consolidation member name or alias Query No Entity Input
cube Cube containing the journals. Query No Consol
status Status for the journal, for example:

"status":"WORKING"

Valid values are "WORKING" , "SUBMITTED", "POSTED", "APPROVED"

. If omitted, journals in all statuses are returned.
Query No All statuses
group Group for the journal, for example: "group":"group1" Query No None
label Label for the journal, for example: "label":"j1" Query No None
description Description for the journal, for example: "description":"adjustment for salary" Query No None
entity Entity for the journal, for example: "entity":"FCCS_Total Geography" Query No None
offset Used for pagination of the records. Indicates the actual index from which the records are returned. It is 0 based. Query No 0
limit Used for pagination of the records. Controls how many items to return. Defaults to 5 if not specified. Query No 5

Note:

For scenario, year, period, and consolidation, you can specify either a member name or an alias. The service resolves an alias to its underlying member before retrieving journals.

Response

The following table summarizes the response parameters.

Table 6-27 Parameters

Name Description
totalResults Total number of journals matching the filter criteria
hasMore True/False, if there are more pages of records
count Number of journals in this page
limit Current page size
offset Current page number
items

List of journals, followed by attributes of journals, such as below:


[{
         "scenario": "Actual",
         "currency": "Entity Currency",
         "createdOn": "2018-07-30 06:22:47.516",
         "modifiedBy": "epm_default_cloud_admin",
         "journalType": "Regular",
         "createdBy": "epm_default_cloud_admin",
         "balanceType": "Balanced",
         "postedBy": null,
         "year": "FY17",
         "description": "JournalDesc1",
         "group": "grp1",
         "status": "Working",
         "label": "J4",
         "period": "Jan"]
}]

Supported Media Types: application/json

Note:

Returned member-based values for year, period, view, consolidation, currency, and dataSource follow the current user’s member-display preference.

Sample Request


GET /HyperionPlanning/rest/v3/applications/FCCS/journals?q={
  "scenario":"Actual",
  "year":"FY26",
  "period":"January",
  "consolidation":"Entity Input",
  "cube":"Consol",
  "status":"POSTED",
  "entity":"FCCS_Total Geography",
  "group":"Close Journals"
}&offset=0&limit=5

Example of Response Body

The following shows an example of the response body.

{
  "totalResults": 1,
  "hasMore": false,
  "count": 1,
  "limit": 5,
  "offset": 0,
  "items": [
    {
      "label": "January Adjustment",
      "scenario": "Actual",
      "year": "FY26",
      "period": "January",
      "consolidation": "FCCS_Entity Input",
      "status": "POSTED",
      "description": "January adjustment",
      "group": "Close Journals",
      "currency": "USD",
      "dataSource": "FCCS_Journal Input"
    }
  ],
  "links": []
}